## org.apache.lucene.analysis.ja.tokenattributes
Class ReadingAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.ja.tokenattributes.ReadingAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ReadingAttribute, org.apache.lucene.util.Attribute

    public class ReadingAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements ReadingAttribute, Cloneable

Attribute for Kuromoji reading data

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`ReadingAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`String` `getPronunciation()`
`String` `getReading()`
`void` `reflectWith(org.apache.lucene.util.AttributeReflector reflector)`
`void` `setToken(Token token)`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadingAttributeImpl

    public ReadingAttributeImpl()

Method Detail

### getReading

    public String getReading()

  Specified by:
    `getReading` in interface `ReadingAttribute`

### getPronunciation

    public String getPronunciation()

  Specified by:
    `getPronunciation` in interface `ReadingAttribute`

### setToken

    public void setToken(Token token)

  Specified by:
    `setToken` in interface `ReadingAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### reflectWith

    public void reflectWith(org.apache.lucene.util.AttributeReflector reflector)

  Overrides:
    `reflectWith` in class `org.apache.lucene.util.AttributeImpl`